Zonemaster::LDNS::RR::NSEC3PARAM(3pm)

NAME
Zonemaster::LDNS::RR::NSEC3PARAM - Type NSEC3PARAM record

DESCRIPTION
A subclass of Zonemaster::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

algorithm()
    Returns the algorithm number.

flags()
    Returns the flags field.

iterations()
    Returns the iteration count.

salt()
    Returns the contents of the salt field as a binary string, if non-empty; otherwise, returns an empty string.

hash_name($name)
    Computes and returns a hash, in canonical form, of the given name using the parameters (algorithm, iterations, salt) of the resource record.